// stdafx.cpp : source file that includes just the standard includes
// test_tosser.pch will be the pre-compiled header
// stdafx.obj will contain the pre-compiled type information

#include "stdafx.h"

#ifdef __LINUX__
#include <sys/types.h>
#include <dirent.h>
#endif

long filesize(FILE *stream)
{
	long curpos,length;

  curpos=ftell(stream);
  fseek(stream,0L,SEEK_END);
  length=ftell(stream);
  fseek(stream,curpos,SEEK_SET);
  return length;
};

void add_last_slash(char* path)
{
	long lndir;

	lndir=strlen(path);
	if(path[lndir-1]!=SLASH_CHR)
	{
		path[lndir]=SLASH_CHR;
		path[lndir+1]=0;
	};

};

bool is_file_present(char* fname)
{
	FILE *fl;

	if(fl=fopen(fname,"r"))
	{
		fclose(fl);
		return true;
	}
	else
		return false;

	
};

bool IsDirPresent(char* dir)
{
#ifndef __LINUX__
	DWORD attr;
	
	attr=GetFileAttributes(dir);

	if(attr!=INVALID_FILE_ATTRIBUTES)
		if(attr&FILE_ATTRIBUTE_DIRECTORY)
			return true;
	
	return false;
#else
	DIR *d;
	d = opendir(dir);
	if (d) {
		closedir(d);
		return true;
	}
	return false;
#endif
};

void add_to_log(char* lfn,char* message)
{
	FILE *fl;
	fl=fopen(lfn,"at");

	if(fl)
	{
#ifndef __LINUX__
		char tbt[64],tbd[64];
	    _strtime(tbt);
		_strdate(tbd);
		fprintf(fl,"%s %s %s\n",tbd,tbt,message);
#else
		char tb[128];
		time_t t;
		t = time(NULL);
		strftime(tb, 128, "%e/%m/%y %T", localtime(&t));
		fprintf(fl, "%s %s\n", tb, message);
#endif
		fclose(fl);
	}
	else
		perror(lfn);
};


// TODO: reference any additional headers you need in STDAFX.H
// and not in this file
